/*
 * Enabled the "update cart" button when spend points changes.
 * 
 * @global jQuery
 */
(function($){
    $(function(){
        // since the cart table is refreshed via ajax, we bind the event to body
        $('body').on('change keydown', '#cwl_spend_points', enabledUpdateCart);
    });
    
    /**
     * Makes the "Update Cart" button clickable.
     * @returns {undefined}
     */
    function enabledUpdateCart(){        
        $('button[name=update_cart]').attr('disabled', false);
        $('input[name=update_cart]').prop('disabled', false);

    }
})(jQuery);
