/*
 * Functionality for point spending on checkout page.
 * 
 * @global jQuery
 */
(function($){
    $(function(){
        console.log('checkout');
        var updating = false;
        
        $('body').on('click', '.cwl-spend-points .cwl-update-button', updatePointsToSpend);
        
        /**
         * Updates the points spent and refreshes the page.
         * @returns {undefined}
         */
        function updatePointsToSpend(){
            if(!updating){
                var $pointsFields = $('#cwl_spend_points');
                
                updating = true;
                $.post('', {
                    cwl_spend_points: $pointsFields.val()
                }, function(){
                    window.location.reload();
                });
            }
        }
    });
})(jQuery);

