<?php
/**
 * PHPUnit bootstrap file
 *
 * @package Codup_Woo_Loyalty
 */

$_tests_dir = getenv( 'WP_TESTS_DIR' );
if ( ! $_tests_dir ) {
	$_tests_dir = '/tmp/wordpress-tests-lib';
}

// Give access to tests_add_filter() function.
require_once $_tests_dir . '/includes/functions.php';

/**
 * Manually load the plugin being tested.
 */
function _manually_load_plugin() {
	require dirname( dirname( __FILE__ ) ) . '/codup-woo-loyalty.php';
    require dirname( dirname( __FILE__ ) ) . '../../woocommerce/woocommerce.php';
}
tests_add_filter( 'muplugins_loaded', '_manually_load_plugin' );

// Start up the WP testing environment.
require $_tests_dir . '/includes/bootstrap.php';

// WooCommerce testing tools
require dirname( dirname( __FILE__ ) ) . '../../woocommerce/tests/bootstrap.php';

function is_woocommerce_active() {
   return true;
}

function woothemes_queue_update($file, $file_id, $product_id) {
   return true;
}