<?php

/*
 * Template for the tier entry. Based on the WooCommerce file class-wc-admin-settings.php.
 * 
 * @var $this CodupWooLoyaltyTiersFields
 * @var $fieldConfig string[] 
 */

// prevent direct access
if (!defined('ABSPATH')) exit;

?>

<tr valign="top" class="cwl-tier-row-header">
    <th class="titledesc">
        &nbsp;
    </th>
    <th class="input-column" style="text-align: center;width: 120px;">
        <?php printf(__('%s From', CWL_SLUG), get_woocommerce_currency_symbol()); ?>
        <?php echo wc_help_tip('Minimum amount needed to be spent for the user to get this discount.', __(CWL_SLUG)); ?>
    </th>
    <th class="input-column" style="text-align: center;width: 120px;">
        <?php printf(__('%s To', CWL_SLUG), get_woocommerce_currency_symbol()); ?>
        <?php echo wc_help_tip('If the user has spent more than this amount, then this discount no longer applies.', __(CWL_SLUG)); ?>
    </th>
    <th class="input-column" style="text-align: center;width: 120px;">
        <?php _e('Discount %', CWL_SLUG); ?>
        <?php echo wc_help_tip('The discount from the total cart price the user in this tier will get.', __(CWL_SLUG)); ?>
    </th>
    <th>
        &nbsp;
    </th>
    <th>
        &nbsp;
    </th>
</tr>
<?php
